#ifndef VM_H
#define VM_H

class VMAddrSpace {
    uint8_t stack[0x100], code[0x300], data[0x500];
};

class VM {
    uint16_t regs[0xb];
    struct flags {
        uint8_t zf:1;
        uint8_t cf:1;
    };
    VMAddrSpace as;

    public:
        void run(uint8_t * code);
};

#endif